Subject: Re: bonding / 2.6.24-rc1 issues

From: Moni Shoua <[email-masked]>
Date: Wed, 07 Nov 2007 16:52:23 +0200

Or Gerlitz wrote:
> Jay, Moni
> 
> I did some tests with 2.6.24-rc1 and the first patch to bonding that Jay
> sent last night to netdev. Basic operation and fail over work fine.
> However, I see some crashes which are somehow related to destroying the
> bond when the slaves are ipoib ones, I don't see similar crashes when
> enslaving ethernet devices (Broadcom Corporation NetXtreme BCM5704
> Gigabit Ethernet (rev 03)), my compressed dot config is attached.
> 
> The first type of oops is when I just do modprobe -r bonding after
> enslavement of the ipoib devices:
> 
> 
> the second type of oops is when I modprobe -r ib_ipoib after
> enslavement. I was not able to test this one with ethernet as the tg3
> code is built into my kernel

I couldn't reproduce the first oops. However, after applying Jay's
fixes for 2.6.24-rc1 I managed to reproduce the second oops.
I will try to look into it.